---
sidebar_label: UnsupportedOperation
---

# UnsupportedOperation class

Puppeteer will throw this error if a method is not supported by the currently used protocol

#### Signature:

```typescript
export declare class UnsupportedOperation extends PuppeteerError
```

**Extends:** [PuppeteerError](./puppeteer.puppeteererror.md)
